Mailinglist Archive: opensuse-packaging (105 mails)

< Previous Next >
Re: [opensuse-packaging] Expansion Error: libicudata
  • From: Philipp Thomas <Philipp.Thomas2@xxxxxxx>
  • Date: Fri, 29 May 2009 01:44:32 +0200
  • Message-id: <l08u15dg9acionh9v6eejtv9jdebr8mna3@xxxxxxx>
On Thu, 28 May 2009 20:40:48 +0200, you wrote:

ATM i'm get an Error:
nothing provides libicudata.so.40 needed by libboost_regex1_38_0,
nothing provides libicui18n.so.40 needed by libboost_regex1_38_0,
nothing provides libicuuc.so.40 needed by libboost_regex1_38_0

Either libicu in that openSUSE version doesn't build or libicu got a new
version and boost hasn't been recompiled yet. I'd regard both as temporary
failures that will disappear.

What is the libicu* Library?

See http://www.ibm.com/software/globalization/icu/ for an explanation of
what ICU is. The Boost regegex library is compiled to use it. BTW, it's the
*first* hit when googling for libicu ....

Philipp
--
To unsubscribe, e-mail: opensuse-packaging+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-packaging+help@xxxxxxxxxxxx

< Previous Next >